<?php

$messages = array(
    'isEmpty' => 'This required field is empty. You need to specify a value.',
    'stringLengthTooShort' => "'%value%' is less than %min% characters.",
    'stringLengthTooLong' => "'%value%' is greater than %max% characters.",
    'regexNotMatch' => "'%value%' does not match the pattern '%pattern%'.",
    'notAlnum' => "'%value%' has non-alphanumeric characters. Make sure you are using only alphanumeric characters.",
    'stringEmpty' => "'%value%' is empty.",
    'loginSyntax' => 'You can use alphanumeric, dash, dot and underscore symbols in the username. The username should start with an alphabetic symbol or a number.',
    'loginExists' => 'User account %value% already exists.',
    'loginPassword' => 'The password should not contain the username.',
    'passwordSyntax' => 'Password contains not allowed characters: %chars%.',
    'passwordLength' => 'The password should be between 5 and 20 characters in length.',
    'domain_invalid_name' => 'The specified domain name is not valid. You need to specify a valid domain name like domain.com.',
    'domain_already_exists' => 'This domain name already exists.',
    'dns_record_already_exists' => 'This DNS record already exists.',
    'domain_like_hostname' => 'This domain name is the same as hostname of the server.',
    'passwordsNotMatch' => 'The passwords you entered do not match each other.',
    'stringsNotEqual' => 'The values are not equal.',
    'equalMailAliases' => 'The specified e-mail alias is the same as another e-mail alias.',
    'mailAliasExist' => 'The specified e-mail alias already exists.',
    'mailNameExist' => 'The specified e-mail address already exists.',
    'mailListExist' => 'The specified address is already assigned to a mailing list.',
    'sysUserExist' => 'The specified username is already used by another system user. Please specify another username.',
    'emailAddressInvalid' => 'The specified e-mail address is not valid. You need to specify a valid e-mail address like user@domain.com.',
    'dir_invalid_name' => 'Invalid destination directory.',
    'directoryHidesDomain' => 'This directory cannot be used because it would overlap website located at %path%. Such overlapping would make the website unavailable.',
    'directoryHidesAnotherApplication' => 'This directory cannot be used because it would overlap another app installed at %path%. Such overlapping would make the installed app unavailable.',

    'directoryIsBehindAnotherApplication' => 'This directory cannot be used because it would be overlapped by another app installed at %path%. Such overlapping would make the app unavailable.',
    'databaseUserAlreadyExists' => 'The specified database user already exists.',
    'databaseAlreadyExists' => 'The specified database already exists.',
    'domainLoginSyntaxWindows' => 'You can use lowercase alphanumeric, dash, dot and underscore symbols in the username. The username should start with an alphabetic symbol and should be between 1 and 15 characters in length.',
    'domainLoginSyntaxUnix' => 'You can use lowercase alphanumeric, dash, and underscore symbols in the username. The username should start with a lowercase alphabetic character and should be between 1 and 16 characters in length.',
    'passwordsNotEqual' => 'The passwords you entered do not match each other.',
    'passwordPolicy' => '%policyError%',
    'fileImageSizeWidthTooBig' => "The image '%value%' you are trying to upload is too wide ('%width%'). Uploaded images cannot be wider than '%maxwidth%'.",
    'fileImageSizeWidthTooSmall' => "The image '%value%' you are trying to upload is not wide enough ('%width%'). Uploaded images should be at least '%minwidth%' wide.",
    'fileImageSizeHeightTooBig' => "The height of image '%value%' you are trying to upload is too big ('%height%'). Uploaded images cannot exceed '%maxheight%' in height.",
    'fileImageSizeHeightTooSmall' => "The height of image '%value%' you are trying to upload is too small ('%height%'). Uploaded images cannot be less than '%minheight%' in height.",
    'fileImageSizeNotDetected' => "The size of image '%value%' you are trying to upload could not be detected.",
    'fileImageSizeNotReadable' => "The image '%value%' you are trying to upload cannot be read.",
    'passwordConfirmation' => 'Confirm password',
    'invalidAdminLogin' => 'Unable to use the selected user\'s credentials for administrator\'s access. The specified username is not valid: %%cause%%',
    'invalidAdminPassword' => 'Unable to use the selected user\'s credentials for administrator\'s access. The specified password is not valid: %%cause%%',
    'passwordLengthTooShort' => "the password is shorter than %min% characters.",
    'passwordLengthTooLong' => "the password is longer than %max% characters.",
    'passwordRegexNotMatch' => "the password does not match the pattern '%pattern%'.",
    'emailAlreadyAssigned' => "The e-mail address %email% is associated with another user (%user%). Please specify another address.",
    'fileSharingEmptyFolderName' => "You need to specify a folder name.",
    'fileSharingInvalidFolderName' => "The specified folder name is not valid. It cannot contain any of the following characters: \\ / : * ? \" < > |",
    'fileSharingFolderExists' => "Cannot create a folder with the specified name because a folder with such name already exists.",
    'invalidUrl' => 'The specified address is not valid. You need to specify a valid address like http://domain.com.',
    'domainVirtualdirectoryReservedName' => 'This directory name is reserved. Please specify another name for your virtual directory.',
    'domainVirtualdirectoryInvalidName' => 'A directory name should contain only alphanumeric, underscore, and dash characters.',
    'filesharingPathUnavailable' => 'A directory with such name already exists under the specified domain. Please use another directory name.',
    'filesharingSslNotAvailableOnDomain' => 'You selected to use secure links but the domain has no SSL enabled. Please either select a domain with SSL support or clear the Generate secure links check box.',
    'filesharingSslNotAvailableOnDefaultDomain' => 'You selected to use secure links on IP address or host name of the server, but such links can be created only on websites with SSL support. Please either set up a website with SSL support or clear the Generate secure links check box.',
    'filesharingDefaultDomainSelectedOnServerIp' => 'You selected the server IP address to which a default domain is assigned. Please select a website as a root URL instead of the IP address.',
    'physicalPathOnDomainAlreadyExists' => 'A directory with such name already exists.',
    'virtualPathOnDomainAlreadyExists' => 'A virtual directory with such name already exists.',

    'docrootNotInWebspaceRoot' => 'The specified directory is not located within the webspace.',
    'docrootContainsSpecialCharacters' => 'The specified directory name contains symbols that cannot be used.',
    'docrootWithinProhibitedDirectory' => 'The specified directory contains a service directory.',
    'docrootWithinInstalledApplication' => 'The specified directory is overlapped by a web application installed at %path%.',
    'docrootTooLongPart' => 'The specified directory name is too long.',

    'subdomainWrongName' => '%errorDescription%',
    'subdomainWrongDomain' => 'Wrong domain was selected.',
    'phoneRegexNotMatch' => 'Incorrect phone number was specified, it contained not allowed symbols.',
    'stateInvalid' => 'Incorrect state or province was specified.',
    'zipRegexNotMatch' => 'Incorrect postal or ZIP code was specified.',

    'limitValueInvalid' => 'Incorrect limit value was specified.',
    'limitDiskspaceValueInvalid' => 'The disk space limit must be an integer value between 0 and 4095 TB.',
    'limitTrafficValueInvalid' => 'The traffic limit must be an integer value between 0 and 4095 TB/month.',
    'limitMboxQuotaValueInvalid' => 'The mailbox size limit must be an integer value between 0 and 4095 TB.',
    'limitValueOverused' => 'The currently used amount of resources exceeds the specified limit value. You cannot use a value less than %%used%%',
    'limitValueOverselled' => 'The resource usage limit of %%reserved%% is already assigned to subscriptions. You cannot specify a value less than %%reserved%%',

    'lessThan' => "'%value%' is less than '%min%'",
    'greaterThan' => "'%value%' is greater than '%max%'",

    'maillistReservedNameAlreadyExists' => 'The specified address is already reserved.',
    'maillistAlreadyExists' => 'The specified address is already used by a mailing list.',
    'maillistAlreadyExistsOnServer' => 'The specified name of mailing list is already used by other subscription',
    'mailnameAlreadyExists' => 'The specified e-mail address already exists.',
    'mailaliasAlreadyExists' => 'The specified address is already used by an e-mail alias.',

    'mailPostboxLimit' => '%message%',

    'userEmailLimitExceeded' => '%limitManagerMessage%',

    'passwordStrength' => 'Your password is not complex enough. According to the server policy, the minimal password strength is %strength%. To improve the password strength, use numbers, upper and lower-case characters, and special characters like !,@,#,$,%,^,&,*,?,_,~',
    'passwordStrengthVeryWeak' => 'Very weak',
    'passwordStrengthWeak' => 'Weak',
    'passwordStrengthMediocre' => 'Medium',
    'passwordStrengthStrong' => 'Strong',
    'passwordStrengthStronger' => 'Very strong',

    'emailCantBeRenamed' => "The server does not support renaming mail accounts.",
    'maillistAdminEmailShouldExistsOnDomain' => 'E-mail address of mailing list administrator should be registered on the same domain as the mailing list.',

    'webmailExists' => "Webmail service '%value%' already exists.",

    'invalidDbName' => 'Database name can contain only alphanumeric, dash, and underscore symbols.',
    'longDbName' => 'Database name is too long.',
    'dbConnectFailed' => 'Unable to connect to database server. Check access restrictions and login/password.',

    'longDbUserName' => 'Database user name is too long.',
    'invalidDbUserName' => 'Database user name can contain only alphanumeric, dash, and underscore symbols.',

    'wrongUrlSyntax' => 'Specified address is not valid. You need to specify a valid address like http://domain.com, relative/path or mailto:address',

    'connectionRefused' => 'Connection refused.',
    'loginIncorrect' => 'Wrong username',
    'failedToChangeDirectory' => 'Directory does not exist',
    'failedToChangeMode' => 'Failed to change mode',
    'failedToCreateDirectory' => 'File creation not allowed',
    'failedToRenameDirectory' => 'File renaming not allowed',
    'failedToDeleteDirectory' => 'File deletion not allowed',

    'ipInvalid' => "'%value%' does not appear to be a valid IP address.",
    'ipInvalidForInterface' => 'The specified IP address cannot be used on network interface. You need to specify a valid IP address with subnet prefix range or mask.',
    'ipInvalidForInterfaceIpv6NotAvailable' => 'The specified IP address cannot be used on selected network interface because IPv6 support is switched off for this interface.',
    'ipAlreadyExists' => 'IP address %value% already exists.',
    'notInArray' => 'This option is not supported.',
    'ipAddressIsNotSelected' => 'At least one IP address should be selected',

    'agentError' => 'Sorry, unable to validate this field: there were problems on backend utility execution: %agentError%',
    'noServiceNodeSpecified' => 'Internal error: no Service Node specified',

    'serviceNodeInvalidName' =>'Invalid service node name "%value%".',
    'serviceNodeNameAlreadyExists' => 'Service node with name "%value%" already registered.',
    'serviceNodeIpUsed' => "Service node can't be removed: ip address registered.",
    'serviceNodeIpAddressAlreadyExists' => 'Service node on ip address "%value%" already registered.',
    'serviceNodeInvalidTransport' => 'Invalid transport name "%value%".',
    'app_non_unique_setting_value' => 'Another object has the same setting value. This setting must be unique for this object.',

    'wrongLocalUrlSyntax' => 'The address is not valid. Please specify a valid local address like /smb/web/view.',

    'phpIsapiHandlerTypeNotSupported' => 'The ISAPI handler type is not supported by the current PHP version.',
);
